#include "usart.h"
#include "device.h"
#include "spi2.h"
#include "ult.h"
#include "socket.h"
#include "w5500.h"
#include "string.h"
#include "arp.h"
#include "mcu_init.h"

vu32 t_msec=0;
vu8 t_sec=0,t_min=0,t_hour=0;
uint8 tx_arp_flag = 1;

int main()
{

	RCC_Configuration(); // Configure the system clocks
	Systick_Init(72);
  GPIO_Configuration(); //GPIO configuration
  NVIC_Configuration(); //NVIC Configuration
  Timer_Configuration();//TIMER2 Configuration
  USART1_Init(); //115200@8-n-1
  Reset_W5500();
  WIZ_SPI_Init();
	set_default();
  set_network(); 
  
  while(1)
  
  {
    do_arp();
  } 
}

/**************************/
/*****Timer2 ISR*****/
/**************************/
void Timer2_ISR(void)
{
 
  t_msec++;//mili second
  
  if(t_msec>=1000)//second
  {  
    t_msec=0;
    t_sec++;
    tx_arp_flag=1;//set arp flag
  }
  if(t_sec>=60)//minute
  {
    t_sec=0;
    t_min++;
    
  }
  if(t_min>=60)//hour
  {
    t_min=0;
    t_hour++;
  }
  if(t_hour>=24)//day
  {
    t_hour=0;
  }
}
